
	$("#save_ssss").click(function  () {
	    partpaat()
	})
	var bigdataList = null;

	partpaat();

	function partpaat(sd,ed) {
		var myCha = echarts.init(document.getElementById('cha'));
		var myChart = echarts.init(document.getElementById('chart'));
		var myChaaaa = echarts.init(document.getElementById('dback1'));
		var myChartaaa = echarts.init(document.getElementById('dback'));
		var myChaccc = echarts.init(document.getElementById('mold1'));
		var myChartbbb = echarts.init(document.getElementById('mold'));
		var myCharrr = echarts.init(document.getElementById('genre1'));
		var myCharteee = echarts.init(document.getElementById('genre'));
		var myChaqqq = echarts.init(document.getElementById('other1'));
		var myChartwww = echarts.init(document.getElementById('other'));
		var myChalll = echarts.init(document.getElementById('uction1'));
		var myChartppp = echarts.init(document.getElementById('uction'));
		
		
		var myChreti = echarts.init(document.getElementById('sippu1'));
		var myChreti1 = echarts.init(document.getElementById('sippu'));
		var myKouc = echarts.init(document.getElementById('siupi1'));
		var myKouc1 = echarts.init(document.getElementById('siupi'));
		var myKucot = echarts.init(document.getElementById('siupiac1'));
		var myKucot1 = echarts.init(document.getElementById('siupiac'));
		var myTou = echarts.init(document.getElementById('siyi1'));
		var myTou1 = echarts.init(document.getElementById('siyi'));
		var myRi = echarts.init(document.getElementById('siout1'));
		var myRi1 = echarts.init(document.getElementById('siout'));
		var myEkit = echarts.init(document.getElementById('seytio1'));
		var myEkit1 = echarts.init(document.getElementById('seytio'));
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "WOReport/GetBigdataList",
			async: true,
			dataType: "json",
			data: {
				stime:sd,
				endtime:ed,
				salesBase:$('#xiaoshou').val(),//销售基地
				product:$('#Product_Category').val(),//产品
				channel:$('#customer_taxPointDes').val(),//渠道类型
				area:$('#customer_comaddress').val(),//大区
				branch:$('#customer_legalName').val(),//分公司
				type:$('#styqu').val(),//反馈类型
			},
			success: function(data) {
				if (data.state.toLowerCase() == "success") {
					//bigdataList = data.rows;
					var con = data.rows;
                     $('.my_numet').html(con.salesBase[0].number);//基地反馈统计
					 $('.my_yer').html(con.salesBase[0].Lastyear);
					 $('.my_moye').html(con.salesBase[0].Lastmonth);
					 
					 $('.ch_numet').html(con.product[0].number);//产品反馈统计
					 $('.ch_yer').html(con.product[0].Lastyear);
					 $('.ch_moye').html(con.product[0].Lastmonth);
					 
					 $('.qd_numet').html(con.channel[0].number);//渠道反馈统计
					 $('.qd_yer').html(con.channel[0].Lastyear);
					 $('.qd_moye').html(con.channel[0].Lastmonth);
					 
					 $('.gdz_numet').html(con.state[0].number);//工单统计
					 $('.gdz_yer').html(con.state[0].Lastyear);
					 $('.gdz_moye').html(con.state[0].Lastmonth);
					 
					 $('.cq_numet').html(con.overdue[0].number);//超期部门统计
					 $('.cq_yer').html(con.overdue[0].Lastyear);
					 $('.cq_moye').html(con.overdue[0].Lastmonth);
					 
					 $('.myd_numet').html(con.satisfaction[0].number);//满意度统计
					 $('.myd_yer').html(con.satisfaction[0].Lastyear);
					 $('.myd_moye').html(con.satisfaction[0].Lastmonth);
					var channel = con.channel.slice(1);
					console.log(channel);	
					var overdue = con.overdue.slice(1);
					var product = con.product.slice(1);
					var stateaa = con.state.slice(1);
					var satisfaction = con.satisfaction.slice(1);
					var type_data = con.salesBase.slice(1);
					// 聚到类型
					var type_data_ccc = [];
					var type_data_name_arry2 = [];
					$(channel).each(function(i, n) {
						//type_data_arry.push(n.name)
						//数据
						var type_data_obj2 = {};
						type_data_obj2.name = n.name;
						type_data_obj2.value = n.number;
						type_data_ccc.push(type_data_obj2);
						//名称
						var type_data_name_obj2 = {};
						type_data_name_obj2 = n.name;
						type_data_name_arry2.push(type_data_name_obj2);						
					})
					
					
					
					// 基地反馈
					var type_data_arry = [];
					var data_arr = type_data_arry.shift(0);
					var type_data_name_arry = [];
					$(type_data).each(function(i, n) {
						//type_data_arry.push(n.name)
						//数据
						var type_data_obj = {};
						type_data_obj.name = n.name;
						type_data_obj.value = n.number;
						type_data_arry.push(type_data_obj);
						//名称
						var type_data_name_obj = {};
						type_data_name_obj = n.name;
						type_data_name_arry.push(type_data_name_obj);
												
					})
					
					// 产品类型
					var type_data_aaa = [];
					var type_data_name_arry1 = [];
					$(product).each(function(i, n) {
						//type_data_arry.push(n.name)
						//数据
						var type_data_obj1 = {};
						type_data_obj1.name = n.name;
						type_data_obj1.value = n.number;
						type_data_aaa.push(type_data_obj1);
						//名称
						var type_data_name_obj1 = {};
						type_data_name_obj1 = n.name;
						type_data_name_arry1.push(type_data_name_obj1);						
					})
					
					
					
					// 超期部门
					var type_data_bbb = [];
					var type_data_name_arry3 = [];
					$(overdue).each(function(i, n) {
						//type_data_arry.push(n.name)
						//数据
						var type_data_obj3 = {};
						type_data_obj3.name = n.name;
						type_data_obj3.value = n.number;
						type_data_bbb.push(type_data_obj3);
						//名称
						var type_data_name_obj3 = {};
						type_data_name_obj3 = n.name;
						type_data_name_arry3.push(type_data_name_obj3);						
					})
						// 满意度
					var type_data_nnn = [];
					var type_data_name_arry4 = [];
					$(satisfaction).each(function(i, n) {
						//type_data_arry.push(n.name)
						//数据
						var type_data_obj4 = {};
						type_data_obj4.name = n.name;
						type_data_obj4.value = n.number;
						type_data_nnn.push(type_data_obj4);
						//名称
						var type_data_name_obj4 = {};
						type_data_name_obj4 = n.name;
						type_data_name_arry4.push(type_data_name_obj4);						
					})
						// 工单
					var type_data_uuu = [];
					var type_data_name_arry5 = [];
					$(stateaa).each(function(i, n) {
						//type_data_arry.push(n.name)
						//数据
						var type_data_obj5 = {};
						type_data_obj5.name = n.name;
						type_data_obj5.value = n.number;
						type_data_uuu.push(type_data_obj5);
						//名称
						var type_data_name_obj5 = {};
						type_data_name_obj5 = n.name;
						
						type_data_name_arry5.push(type_data_name_obj5);						
					})
					
					


					myChart.setOption({
						color: ['#1852B5'],
						// title: {
						// 	text: '反馈类型统计',
						// 	x: 'center',
						// 	textStyle: {
						// 		"color": "#FFFFFF"
						// 	}
						// },
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data: type_data_name_arry,	//["合计", "咨询", "投诉", "抽检", "建议及其他", ""],  ["咨询", "投诉", "抽检", "建议", "合计"]
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#000946",
								}
							}
						},
						series: [{
							name: '反馈类型统计',
							type: 'bar',
							x: 'center',
							// barGap:'2%', //两个柱子距离
							barWidth: 20,
							data: type_data_arry
// 							[
// 								{name:con.type[0].name,value:con.type[0].number},
// 								{name:con.type[1].name,value:con.type[1].number},
// 								{name:con.type[2].name,value:con.type[2].number},
// 								{name:con.type[3].name,value:con.type[3].number},
// 
// 							]
						}]
					});
					myCha.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						series: [{
							name: '访问来源',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_arry,type_data_name_arry,
							label: {
							  normal: {
								position: 'inner',
								show : false
							  }
							},
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});
					
					myChartaaa.setOption({
						color: ['#1852B5'],
						// title: {
						// 	text: '产品类型统计',
						// 	x: 'center',
						// 	textStyle: {
						// 		"color": "#FFFFFF"
						// 	}
						// },
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							splitNumber: 5,
							data: type_data_name_arry1,//["合计", "尿素", "复合肥", "水溶肥", "车用尿素", "三聚氰胺", "甲醇", "糖醇", "腐殖酸", "二甲醚", "糖醛", "液氨", "其他", ""],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							},
							// axisLabel: {
							// 	interval: 0,
							// 	rotate: 40
							// }
						},
						yAxis: {
						    splitLine:{
							　　　　show:false
							　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#000946",
								}
							}
						},
						series: [{
							name: '产品类型统计',
							type: 'bar',
							barWidth: 20,
							data:type_data_aaa,
						}]
					});
					myChaaaa.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						series: [{
							name: '访问来源',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_aaa,type_data_name_arry1,
                            label: {
							  normal: {
								position: 'inner',
								show : false
							  }
							},
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});
					
					myChartbbb.setOption({
						color: ['#1852B5'],
						// title: {
						// 	text: '渠道类型统计',
						// 	x: 'center',
						// 	textStyle: {
						// 		"color": "#FFFFFF"
						// 	}
						// },
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data:type_data_name_arry2, //["合计", "总经销", "二级商", "种田大户", "农户", "化工客户", "公司员工", "其他"],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							},
							// axisLabel: {
							// 	interval: 0,
							// 	rotate: 40
							// }
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#000946",
								}
							}
						},
						series: [{
							name: '渠道类型统计',
							type: 'bar',
							barWidth: 20,
							data: type_data_ccc,
							
						}]
					});
					myChaccc.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						
						series: [{
							name: '渠道类型统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_ccc,type_data_name_arry2,
							label: {
							  normal: {
								position: 'inner',
								show : false
							  }
							},
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});
					
					myCharteee.setOption({
						color: ['#1852B5'],
						// title: {
						// 	text: '超期部门统计',
						// 	x: 'center',
						// 	textStyle: {
						// 		"color": "#FFFFFF"
						// 	}
						// },
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data:type_data_name_arry3,// ["合计", "市场管理科", "呼叫中心", "车用尿素", ""],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#000946",
								}
							}
						},
						series: [{
							name: '超期部门统计',
							type: 'bar',
							barWidth: 20,
							data: type_data_bbb,
							
						}]
					});
					myCharrr.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						
						series: [{
							name: '超期部门统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data:type_data_bbb, type_data_name_arry3,
                            label: {
							  normal: {
								position: 'inner',
								show : false
							  }
							},
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});
					
					myChartwww.setOption({
						color: ['#1852B5'],
						// title: {
						// 	text: '满意度统计',
						// 	x: 'center',
						// 	textStyle: {
						// 		"color": "#FFFFFF"
						// 	}
						// },
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data: type_data_name_arry4,//["合计", "非常满意", "满意", "一般", "不满意", ""],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#000946",
								}
							}
						},
						series: [{
							name: '满意度统计',
							type: 'bar',
							barWidth: 20,
							data:type_data_nnn,
							
						}]
					});
					myChaqqq.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						
						series: [{
							name: '满意度统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_nnn,type_data_name_arry4,
                            label: {
							  normal: {
								position: 'inner',
								show : false
							  }
							},
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});
					
					myChartppp.setOption({
						color: ['#1852B5'],
						// title: {
						// 	text: '工单统计',
						// 	x: 'center',
						// 	textStyle: {
						// 		"color": "#FFFFFF"
						// 	}
						// },
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data:type_data_name_arry5,
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#000946",
								}
							}
						},
						series: [{
							name: '工单',
							type: 'bar',
							barWidth: 20,
							data: type_data_uuu,
						}]
					});
					myChalll.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						
						series: [{
							name: '访问来源',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_uuu,type_data_name_arry5,
                            label: {
							  normal: {
								position: 'inner',
								show : false
							  }
							},
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								},
							}
						}]
					});
                     				
					
					
					myKouc1.setOption({
						color: ['#1852B5'],
						title: {
							text: '基地反馈统计',
							x: 'center',
							textStyle: {
								"color": "#53FEC0"
							}
						},
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data: type_data_name_arry,	//["合计", "咨询", "投诉", "抽检", "建议及其他", ""],  ["咨询", "投诉", "抽检", "建议", "合计"]
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
					   dataZoom: [
							{
								show: false, //是否显示下方滚动条
								realtime: true,
								start: 0, //显示数据开始位置
								end: 50 //显示数据结束位置
							},
							{
								type: 'inside',
								realtime: true,
								start: 0,
								end: 50
							}
						],
						series: [{
							name: '基地反馈统计',
							type: 'bar',
							x: 'center',
							// barGap:'2%', //两个柱子距离
							barWidth: 20,
							data: type_data_arry
						}]
					});
					myKouc.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						// legend: {
						//     orient: 'vertical',
						//     left: 'left',
						//     // data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
						// },
						series: [{
							name: '基地反馈统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_arry,type_data_name_arry,
// 							[
// 
// 								{
// 									name: con.type[0].name,
// 									value: con.type[0].number
// 								},
// 								{
// 									name: con.type[1].name,
// 									value: con.type[1].number
// 								},
// 								{
// 									name: con.type[2].name,
// 									value: con.type[2].number
// 								},
// 								{
// 									name: con.type[3].name,
// 									value: con.type[3].number
// 								},
// 							],
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					}); 
					
					myKucot1.setOption({
						color: ['#1852B5'],
						title: {
							text: '产品类型统计',
							x: 'center',
							textStyle: {
								"color": "#53FEC0"
							}
						},
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							splitNumber: 5,
							data: type_data_name_arry1,//["合计", "尿素", "复合肥", "水溶肥", "车用尿素", "三聚氰胺", "甲醇", "糖醇", "腐殖酸", "二甲醚", "糖醛", "液氨", "其他", ""],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							},
							// axisLabel: {
							// 	interval: 0,
							// 	rotate: 40
							// }
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						dataZoom: [
							{
								show: false, //是否显示下方滚动条
								realtime: true,
								start: 0, //显示数据开始位置
								end: 50 //显示数据结束位置
							},
							{
								type: 'inside',
								realtime: true,
								start: 0,
								end: 50
							}
						],
						series: [{
							name: '产品类型统计',
							type: 'bar',
							barWidth: 20,
							data:type_data_aaa,
						}]
					});
					myKucot.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						// legend: {
						//     orient: 'vertical',
						//     left: 'left',
						//     // data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
						// },
						series: [{
							name: '产品类型统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_aaa,type_data_name_arry1,

							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});					
					
					myTou1.setOption({
						color: ['#1852B5'],
						title: {
							text: '渠道类型统计',
							x: 'center',
							textStyle: {
								"color": "#53FEC0"
							}
						},
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data:type_data_name_arry2, //["合计", "总经销", "二级商", "种田大户", "农户", "化工客户", "公司员工", "其他"],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							},
							// axisLabel: {
							// 	interval: 0,
							// 	rotate: 40
							// }
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						dataZoom: [
							{
								show: false, //是否显示下方滚动条
								realtime: true,
								start: 0, //显示数据开始位置
								end: 150 //显示数据结束位置
							},
							{
								type: 'inside',
								realtime: true,
								start: 0,
								end: 50
							}
						],
						series: [{
							name: '渠道类型统计',
							type: 'bar',
							barWidth: 20,
							data: type_data_ccc,
							
						}]
					});
					myTou.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						// legend: {
						//     orient: 'vertical',
						//     left: 'left',
						//     // data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
						// },
						series: [{
							name: '渠道类型统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_ccc,type_data_name_arry2,
							
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});					
					
					myRi1.setOption({
						color: ['#1852B5'],
						title: {
							text: '超期部门统计',
							x: 'center',
							textStyle: {
								"color": "#53FEC0"
							}
						},
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data:type_data_name_arry3,// ["合计", "市场管理科", "呼叫中心", "车用尿素", ""],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						dataZoom: [
							{
								show: false, //是否显示下方滚动条
								realtime: true,
								start: 0, //显示数据开始位置
								end: 50 //显示数据结束位置
							},
							{
								type: 'inside',
								realtime: true,
								start: 0,
								end: 50
							}
						],
						series: [{
							name: '超期部门统计',
							type: 'bar',
							barWidth: 20,
							data: type_data_bbb,
							
						}]
					});
					myRi.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						// legend: {
						//     orient: 'vertical',
						//     left: 'left',
						//     // data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
						// },
						series: [{
							name: '超期部门统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data:type_data_bbb, type_data_name_arry3,
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});					
					
					myEkit1.setOption({
						color: ['#1852B5'],
						title: {
							text: '满意度统计',
							x: 'center',
							textStyle: {
								"color": "#53FEC0"
							}
						},
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data: type_data_name_arry4,//["合计", "非常满意", "满意", "一般", "不满意", ""],
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						dataZoom: [
							{
								show: false, //是否显示下方滚动条
								realtime: true,
								start: 0, //显示数据开始位置
								end: 300 //显示数据结束位置
							},
							{
								type: 'inside',
								realtime: true,
								start: 0,
								end: 50
							}
						],
						series: [{
							name: '满意度统计',
							type: 'bar',
							barWidth: 20,
							data:type_data_nnn,
							
						}]
					});
					myEkit.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						// legend: {
						//     orient: 'vertical',
						//     left: 'left',
						//     // data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
						// },
						series: [{
							name: '满意度统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_nnn,type_data_name_arry4,
							
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});										
					
					myChreti1.setOption({
						color: ['#1852B5'],
						title: {
							text: '工单总量统计',
							x: 'center',
							textStyle: {
								"color": "#53FEC0"
							}
						},
						tooltip: {},
						// legend: {
						//      // data: ['销量']
						// },
						xAxis: {
							data:type_data_name_arry5,
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						yAxis: {
							splitLine:{
						　　　　show:false
						　　},
							axisLine: { //这是x轴文字颜色
								lineStyle: {
									color: "#FFFFFF",
								}
							}
						},
						dataZoom: [
							{
								show: false, //是否显示下方滚动条
								realtime: true,
								start: 0, //显示数据开始位置
								end: 50 //显示数据结束位置
							},
							{
								type: 'inside',
								realtime: true,
								start: 0,
								end: 50
							}
						],
						series: [{
							name: '工单总量统计',
							type: 'bar',
							barWidth: 20,
							data: type_data_uuu,
						}]
					});
					myChreti.setOption({
						title: {
							// text: '某站点用户访问来源',
							// subtext: '纯属虚构',
							// x:'center'
						},
						tooltip: {
							trigger: 'item',
							formatter: "{a} <br/>{b} : {c} ({d}%)"
						},
						// legend: {
						//     orient: 'vertical',
						//     left: 'left',
						//     // data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
						// },
						series: [{
							name: '工单总量统计',
							type: 'pie',
							radius: '55%',
							center: ['50%', '60%'],
							data: type_data_uuu,type_data_name_arry5,
							itemStyle: {
								emphasis: {
									shadowBlur: 10,
									shadowOffsetX: 0,
									shadowColor: 'rgba(0, 0, 0, 0.5)'
								},
								normal: {
									color: function(params) {
										//自定义颜色
										var colorList = [
											'#1890FF', '#2EC25B', '#FACC14', '#04D9FF', '#8543E0', '#13C2C2',
											'#00C0FF', '#05EB78', '#D141D9', '#05EB61', '#2FCDCD', '#BEEB30',
											'#EB9005', '#FFFF00', '#FF7F50', '#3CB371', '#00BFFF', '#9932CC',
										];
										return colorList[params.dataIndex]
									}
								}
							}
						}]
					});
					
				}
			}
		});
	}











	$(document).ready(function() {


		DQQ($("#customer_comaddress")); //大区
		XSJD($("#xiaoshou")); //销售基地
		ZXCPMC($("#Product_Category")); //产品名称 
		ZXCPMC($("#product_name")); //三屏产品名称
		QDLXX($("#customer_taxPointDes")); //渠道类型
		
		XSJD($("#category"));//销售基地

	});
	//渠道类型
	function QDLXX(obj) {
		obj.empty();
		obj.append('<option selected="selected" value="">渠道类型</option>');
		$.getJSON(huayi.config.callcenter_url + "WOReport/GetDicValueListByFlag", {
			// "token": $.cookie("token"),
			flag: "QDLX",
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				var content = data.data;
				$(content).each(function(i, n) {
					$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
				})
			}
		})
	}
	//产品名称	
	function ZXCPMC(obj) {
		obj.empty();
		obj.append('<option selected="selected" value="">产品名称</option>');
		$.getJSON(huayi.config.callcenter_url + "WOReport/GetDicValueListByFlag", {
			// "token": $.cookie("token"),
			flag: "CPZL",
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				var content = data.data;
				$(content).each(function(i, n) {
					$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
				})
			}
		})
	}
	//销售基地
	function XSJD(obj) {
		obj.empty();
		obj.append('<option selected="selected" value="">基地</option>');
		$.getJSON(huayi.config.callcenter_url + "WOReport/GetDicValueListByFlag", {
			// "token": $.cookie("token"),
			flag: "XSJD",
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				var content = data.data;
				$(content).each(function(i, n) {
					$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
				})
			}
		})
	}

	function DQQ(obj) {
		obj.empty();
		obj.append('<option selected="selected" value="">大区</option>');
		$.getJSON(huayi.config.callcenter_url + "Department/GetList", {
			// "token": $.cookie("token"),
			F_Layer: 1,
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				var content = data.data;
				$(content).each(function(i, n) {
					$("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
				})
			}
		})
	}

	function KEFENGONG(obj) {
		obj.empty();
		obj.append('<option selected="selected" value="">分公司</option>');
		$.getJSON(huayi.config.callcenter_url + "Department/GetList", {
			// "token": $.cookie("token"),
			F_Layer: 2,
			F_DeptName: $("#customer_comaddress").find("option:selected").text(),
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				var content = data.data;
				$(content).each(function(i, n) {
					$("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
				})
			}
		})
	}




	$('#customer_comaddress').on('change', function() {
		$.getJSON(huayi.config.callcenter_url + "Department/GetList", {
			// "token": $.cookie("token"),
			F_Layer: 2,
			F_DeptName: $("#customer_comaddress").find("option:selected").text(),
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				var content = data.data;
				$(content).each(function(i, n) {
					$("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo("#customer_legalName");
				})
				KEFENGONG($("#customer_legalName"));
			}
		})
	});
